> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/sdn/pricing/queryprivateconnectbandwidthprice.md).

# QueryPrivateConnectBandwidthPrice

## 1. 接口描述

本接口(QueryPrivateConnectBandwidthPrice)用于二层专线带宽询价。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型                                                                      | 描述                                                                            |
| --------------- | -- | ----------------------------------------------------------------------- | ----------------------------------------------------------------------------- |
| sourceDcId      | 是  | String                                                                  | 二层网络其中一端接入点的数据中心ID。                                                           |
| destinationDcId | 是  | String                                                                  | 二层网络另外一端接入点的数据中心ID。                                                           |
| internetType    | 是  | [InternetType](/api-reference/cn/sdn/datastructure.md#internettype)     | <p>网络计费类型。</p><p>默认值为ByBandwidth。</p><p>默认值：ByBandwidth</p>                   |
| bandwidthMbps   | 是  | Integer                                                                 | <p>二层网络专线的最大带宽限制。</p><p>默认值是10，单位：Mbps。</p><p>可选值范围：\[10, +)</p><p>默认值：10</p> |
| serviceLevel    | 否  | [ProtectionType](/api-reference/cn/sdn/datastructure.md#protectiontype) | <p>二层网络专线服务等级。</p><p>默认值为SINGLE\_PROTECTED。</p><p>默认值：SINGLE\_PROTECTED</p>   |

## 3. 响应结果

| 参数名称      | 类型                                                            | 描述                                                       |
| --------- | ------------------------------------------------------------- | -------------------------------------------------------- |
| requestId | String                                                        | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| price     | [PriceItem](/api-reference/cn/sdn/datastructure.md#priceitem) | 价格信息。                                                    |
| stock     | Integer                                                       | 可用库存数量。                                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 对1个二层网络专线骨干网带宽进行询价,带宽为10Mbps。**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: QueryPrivateConnectBandwidthPrice
<Common Request Params>

Request：
{
    "sourceDcId": "SIN1",
    "destinationDcId": "LAX1",
    "internetType": "ByBandwidth",
    "bandwidthMbps": 10,
    "serviceLevel": "SINGLE_PROTECTED"
}

Response：
{   
  "requestId": "TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
  "response": {
    "requestId":"TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
    "price":        {
            "unitPrice":1.65,
            "originalPrice":null,
            "discountPrice":null,
            "discount":100,
            "stepPrices":null,
            "discountUnitPrice":1.65,
            "chargeUnit":"DAY",
            "amountUnit":null
        },
    "stock": 10000
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                     | 说明             |
| ------- | --------------------------------------- | -------------- |
| 404     | INVALID\_DATACENTER\_NOT\_FOUND         | 指定的数据中心不存在。    |
| 400     | INVALID\_PRIVATE\_CONNECT\_NOT\_SUPPORT | 暂不支持该二层网络专线组合。 |
